%define lib_major	2
%define lib_api		1
%define lib_name	%mklibname dbus-glib %{lib_api} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	D-Bus message bus
Name:		dbus-glib
Version:	0.114
Release:	%mkrel 2
License:	AFL and GPLv2
Group:		System/Libraries
URL:		https://www.freedesktop.org/Software/dbus
Source0:	https://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 1.8
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40
BuildRequires:	pkgconfig(expat)
BuildRequires:	chrpath

%description
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package -n	%{lib_name}
Summary:	GLib-based library for using D-Bus
Group:		System/Libraries
Provides:	dbus-glib = %{version}-%{release}

%description -n	%{lib_name}
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package -n	%{develname}
Summary:	Libraries and headers for D-Bus
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-1-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers and static libraries for D-Bus.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --disable-tests \
    --disable-verbose-mode \
    --disable-asserts

%make_build

%install
%make_install

chrpath --delete %{buildroot}%{_bindir}/dbus-binding-tool
chrpath --delete %{buildroot}%{_libexecdir}/dbus-bash-completion-helper

# Scripts that are sourced should not be executable.
chmod -x %{buildroot}%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh

%check
make check

%files -n %{lib_name}
%{_libdir}/libdbus-glib-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{develname}
%{_bindir}/dbus-binding-tool
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_libexecdir}/dbus-bash-completion-helper
%{_libdir}/libdbus-glib-%{lib_api}.so
%{_libdir}/pkgconfig/dbus-glib-%{lib_api}.pc
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_includedir}/dbus-1.0/dbus/dbus-gvalue-parse-variant.h
%{_datadir}/gtk-doc/html/dbus-glib/
%{_mandir}/man1/*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.114-2.mga10
+ Revision: 2249813
- Mageia 10 Mass Rebuild

* Tue Mar 25 2025 daviddavid <daviddavid> 0.114-1.mga10
+ Revision: 2169812
- new version: 0.114

* Sat Mar 26 2022 umeabot <umeabot> 0.112-2.mga9
+ Revision: 1827753
- Mageia 9 Mass Rebuild

* Sun Mar 28 2021 daviddavid <daviddavid> 0.112-1.mga9
+ Revision: 1711380
- new version: 0.112
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.110-3.mga8
+ Revision: 1511818
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.110-2.mga7
+ Revision: 1297413
- Mageia 7 Mass Rebuild

* Fri Feb 16 2018 luigiwalser <luigiwalser> 0.110-1.mga7
+ Revision: 1201774
- 0.110

* Mon Dec 12 2016 wally <wally> 0.108-2.mga6
+ Revision: 1074365
- fix devel pkg name

* Fri Sep 09 2016 luigiwalser <luigiwalser> 0.108-1.mga6
+ Revision: 1051179
- 0.108

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.106-1.mga6
+ Revision: 927128
- 0.106

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.104-1.mga6
+ Revision: 837002
- 0.104
- update BRs
- delete rpath

* Wed Oct 15 2014 umeabot <umeabot> 0.102-4.mga5
+ Revision: 742353
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.102-3.mga5
+ Revision: 693732
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.102-2.mga5
+ Revision: 678685
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 luigiwalser <luigiwalser> 0.102-1.mga5
+ Revision: 592592
- 0.102

* Fri Oct 18 2013 umeabot <umeabot> 0.100.2-2.mga4
+ Revision: 522445
- Mageia 4 Mass Rebuild

* Sat Mar 02 2013 luigiwalser <luigiwalser> 0.100.2-1.mga3
+ Revision: 401161
- 0.100.2

* Sat Feb 16 2013 luigiwalser <luigiwalser> 0.100.1-1.mga3
+ Revision: 398675
- 0.100.1 (fixes CVE-2013-0292)

* Fri Jan 11 2013 umeabot <umeabot> 0.100-2.mga3
+ Revision: 348644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 0.100-1.mga3
+ Revision: 342908
- 0.100
- remove upstreamed string format patch

* Tue Jan 01 2013 pterjan <pterjan> 0.98-2.mga3
+ Revision: 337452
- Fix for _libdir != _libexecdir

* Fri Jun 08 2012 fwang <fwang> 0.98-1.mga3
+ Revision: 257645
- fix str fmt
- new version 0.98

* Sat Sep 24 2011 fwang <fwang> 0.96-1.mga2
+ Revision: 147230
- disable static
- new version 0.96
+ ahmad <ahmad>
- Add three patches from upstream to fix a regression after fixing FD.o #36811,
  which broke NetworkManager
  https://bugs.freedesktop.org/show_bug.cgi?id=37852

* Tue Jul 19 2011 cjw <cjw> 0.94-1.mga2
+ Revision: 126688
- 0.94

* Thu Jan 13 2011 ahmad <ahmad> 0.88-2.mga1
+ Revision: 8511
- disable backporting macro for now
- drop old/uneeded scriptlets
- imported package dbus-glib


* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 0.88-1mdv2011.0
+ Revision: 570899
- update to new version 0.88

* Thu Mar 25 2010 Frederic Crozat <fcrozat@mandriva.com> 0.86-1mdv2010.1
+ Revision: 527399
- Release 0.86

* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.84-1mdv2010.1
+ Revision: 497523
- Release 0.84
- Remove source1, no longer needed
- Remove patch0, merged upstream

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 0.82-3mdv2010.1
+ Revision: 491757
- add debian patch allowing duplicate object registrations

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 0.82-2mdv2010.1
+ Revision: 491730
- add ListActivatableNames (bug #57068)

* Fri Jul 24 2009 Frederic Crozat <fcrozat@mandriva.com> 0.82-1mdv2010.0
+ Revision: 399304
- Release 0.82
- Remove patch1, merged upstream

* Tue Feb 03 2009 Frederic Crozat <fcrozat@mandriva.com> 0.80-1mdv2009.1
+ Revision: 336903
- Release 0.80
- Remove patch0 (merged upstream)
- Patch0: fix format-security error

* Fri Dec 05 2008 Frederic Crozat <fcrozat@mandriva.com> 0.78-1mdv2009.1
+ Revision: 310746
- Fix buildrequires
- Release 0.78
- Remove patch0 (merged upstream)
- Patch0: fix linking with expat

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.76-2mdv2009.0
+ Revision: 264400
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 09 2008 Frederic Crozat <fcrozat@mandriva.com> 0.76-1mdv2009.0
+ Revision: 217037
- Release 0.76
- Remove patches 0, 1, 2 (merged upstream)
- Patch0 (GIT): wincaps-to-uscore property names for GetAll() (fd.o bug #16114)

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 0.74-4mdv2008.1
+ Revision: 188466
- Add back old provides in lib package to fix upgrade from 2007.0 using urpmi

* Tue Mar 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.74-3mdv2008.1
+ Revision: 188447
- Ignore namespaces in introspection XML (P2, fixes FD.obz #14429)

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 16 2007 Frederic Crozat <fcrozat@mandriva.com> 0.74-2mdv2008.1
+ Revision: 109059
- Replace patch0 with source0 (Fedora), allowing build without dbus running
- Patch0 (GIT): fix introspection (fd.o #8607)
- Patch1: Dispatch NameOwnerChanged signals to proxies only once (fdo #12505)

* Thu Jul 05 2007 Frederic Crozat <fcrozat@mandriva.com> 0.74-1mdv2008.0
+ Revision: 48555
- Release 0.74

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-2mdv2008.0
+ Revision: 37262
- rebuild for expat
- spec file clean


* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.73-1mdv2007.0
+ Revision: 121292
- Release 0.73

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.1
+ Revision: 96159
- fix library provides

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.72-1mdv2007.1
+ Revision: 75200
- Import dbus-glib

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.72-1mdv2007.1
- bump deps
- add gtk-docs
- unpack patch
- fix source URL
- new version

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.71-5mdv2007.0
- Fix lib package provides on x86-64

* Tue Aug 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.71-4
- add BuildRequires: libexpat-devel

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 0.71-3mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.71-2mdv2007.0
- Fix requires of devel package

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.71-1mdv2007.0
- Initial package
- Patch0 (Fedora): don't require running bus to build

